@import url('Https://fonts.googleapis.com/css2?family=Poppins');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    /* scroll-snap-type: initial; */
}

.animate {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s, transform 0.5s;
}

.animate.show {
    opacity: 1;
    transform: translateY(0);
}

:root {
    --bg-color: #191E29;
    --second-bg-color: #132d46;
    --text-color: #01C38D;
    --second-text-color: #ffffff;
    --main-color: #696e79;
}

.green {
    transition: .5s ease;
}

.green:hover {
    color: #01C38D;
}

.greenBtn {
    transition: .5s ease;
}

.greenBtn:hover {
    background-color: var(--text-color);
    color: var(--second-bg-color);
}

a {
    color: #ffffff;
}

h1 {
    font-size: 3rem;
    line-height: 60px;
}

h5 {
    font-size: 0.8rem;
    letter-spacing: 1px;
    mix-blend-mode: normal;
}

#themeIcon {
    transition: .5s ease;
}

.btn {
    color: var(--second-text-color);
    background-color: var(--text-color);
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 25px;
    padding-right: 25px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    font-weight: 600;
    transition: .5s ease;
}

.btn:hover {
    background-color: #039a6f;
    box-shadow: 3px 3px 3px #01C38D,
        -3px -3px 3px #01C38D;
}

body {
    color: #ffffff;
    background-color: var(--bg-color);
    transition: .5s ease;
    /* overflow-x: hidden; */
}

#content {
    overflow: hidden;
}

#darkmode {
    background-color: var(--second-bg-color);
    width: 30px;
    height: 30px;
    border: 1px solid #222222;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dark-theme {
    --bg-color: #252d3d;
    --second-bg-color: #01C38D;
    --text-color: #191E29;
    --second-text-color: #ffffff;
    --main-color: #696e79;
}


/* loader */
#loader {
    margin-top: 200px;
    margin-left: auto;
    margin-right: auto;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.loader {
    border: 10px solid #f3f3f3;
    border-top: 16px solid #01C38D;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}





/* HEADER  */
.hamburger {
    display: none;
}

header {
    width: 98%;
    border-radius: 10px;
    height: 90px;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    background: var(--second-bg-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 100px;
    z-index: 1;
    position: relative;
    transition: top 0.3s ease-in-out;
}

header.fixed {
    position: fixed;
    width: 98%;
    animation: fadeInDown 0.5s;
    margin-left: 12px;
    margin-right: auto;
    border: 1px solid #01C38D;
}

@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.logo {
    font-size: 28px;
    font-weight: bold;
    color: var(--second-text-color);
}

.hamburger {
    display: none;
}

.nav-bar ul {
    display: flex;
}

.nav-bar ul li a {
    display: block;
    color: var(--second-text-color);
    font-size: 0.8rem;
    padding: 10px 25px;
    border-radius: 50px;
    transition: 0.5s;
    margin: 0 5px;
}

.acc {
    display: flex;
    gap: 15px;
}

.nav-bar ul li a:hover {
    color: var(--text-color);
}




/* Home Page */
.home {
    height: 100vh;
    background-color: var(--bg-color);
    overflow-x: hidden;
}

.home .content {
    display: flex;
    padding-left: 70px;
    padding-right: 70px;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
    height: 100vh;
}

.home .content .left {
    display: grid;
    padding: 30px;
    gap: 20px;
}

.home .content .right img {
    width: 100px;
    height: 100px;
}

#floatingbtn i {
    display: none
}







/* Courses Page */
.courses {
    height: 150vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--second-bg-color);
}

.courses .content {
    display: grid;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.courses .content .up {
    text-align: center;
}

.courses .content .down {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 15px;
}

.courses .content .down .box {
    width: 300px;
    border: 1px solid #01C38D;
    background-color: var(--bg-color);
}

.courses .content .down .box .below {
    padding: 20px;
    font-size: 0.8rem;
    display: grid;
    gap: 40px;
}

.courses .content .down .box .below .rating {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.courses .content .down .box .below .rating img {
    width: 25px;
}

.courses .content .down .box .below .text {
    line-height: 25px;
}

.courses .content .down .box .below .text h4 {
    color: var(--text-color);
}

.courses .content .down .box a {
    color: #ffffff;
    font-size: 1rem;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 25px;
    padding-right: 25px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #424769;
    font-weight: 600;
    background-color: var(--text-color);
}

.courses .content .down .box .image {
    width: 100%;
    height: 10%;
}

.courses .content .down .box .image img {
    width: 100%;
    height: 100%;
}





/* Subjects Page */
.subjects {
    height: 150vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bg-color);
}

.subjects .content {
    display: grid;
    gap: 40px;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.subjects .content .middle {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.subjects .content .middle .box {
    width: 250px;
    height: 150px;
    position: relative;
    overflow: hidden;
    transition: .5s ease;
    border-radius: 10px;
}

.subjects .content .middle .box img:hover {
    filter: grayscale(1);
    transform: scale(1.2);
}

.subjects .content .middle .box img {
    width: 100%;
    transition: .5s ease;
    border-radius: 10px;
    border: 2px solid #01C38D;
}

.subjects .content .middle .box a {
    position: absolute;
    top: 80px;
    left: 20px;
    right: 20px;
    font-size: 1.2rem;
    z-index: 1;
    font-weight: 700;
}

.subjects .content .btn1 {
    color: var(--text-color);
    background-color: transparent;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 35px;
    padding-right: 35px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    font-weight: 600;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    border: 1px solid #01C38D;
}





/* Learners Page */
.learners {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--second-bg-color);
}

.learners .content {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;
    padding-left: 30px;
    padding-right: 30px;
}

.learners .content .left img {
    width: 400px;
    height: 400px;
    border-radius: 50%;
    border: 1px solid #01C38D;
}

.learners .content .right h4 {
    justify-content: center;
    align-items: center;
    gap: 20px;
    color: var(--text-color);
}






/* Community Experts Page */
.community {
    height: 130vh;
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.community .content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    text-align: center;
    padding-left: 50px;
    padding-right: 50px;
}

.community .content .box {
    display: grid;
    gap: 20px;
}

.community .content .box img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

.community .content .box .down {
    line-height: 40px;
}




/* GOALS Page */
.goals {
    height: 130vh;
    background-color: var(--second-bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.goals .content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 50px;
    padding-right: 50px;
    gap: 50px;
}

.goals .content .left img {
    width: 600px;
    height: 400px;
    border-radius: 10px;
    border: 1px solid #01C38D;
}

.goals .content .right h1 {
    line-height: 60px;
    font-size: 2rem;
}

.goals .content .right {
    gap: 20px;
    display: grid;
}




/* FOOTER */
footer {
    height: 70vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bg-color);
}

footer .content {
    display: grid;
    justify-content: center;
    align-items: center;
    gap: 80px;
    padding-left: 30px;
    padding-right: 30px;
    font-size: 0.7rem;
}

footer .content .up {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 80px;
}

footer .content .up .left {
    width: 300px;
    line-height: 40px;
    display: grid;
}

footer .content .up .right {
    display: flex;
    gap: 120px;
    line-height: 35px;
}

footer .content .down {
    text-align: center;
}






@media only screen and (max-width: 1000px) {
    @media only screen and (max-width: 1220px) {
        header {
            width: 95%;
            gap: 20px;
            align-items: center;

        }

        header .logo {
            font-size: 1.5rem;
        }

        #main-header .nav-bar {
            width: 95%;
        }

        header.fixed {
            position: fixed;
            width: 93%;
            animation: fadeInDown 0.5s;
            margin-left: 10px;
            margin-right: auto;
            border: 1px solid #01C38D;
        }

        h1 {
            font-size: 3rem;
            line-height: 50px;
        }

        h5 {
            font-size: 0.8rem;
            letter-spacing: 1px;
            line-height: 25px;
        }

        header {
            padding: 0 50px;
        }

        header .nav-bar ul li a {
            font-size: 0.7rem;
        }

        .home {
            height: 100vh;
        }

        .home .content .right {
            display: none;
        }

        header .acc .btn {
            font-size: 0.7rem;
            padding: 10px 20px;
        }


        .courses {
            height: 170vh;
        }

        .courses .content .down .box:nth-child(1) {
            display: none;
        }


        .subjects {
            height: 170vh;
        }


        .learners .content {
            gap: 30px;
        }

        .learners .content .left img {
            width: 300px;
            height: 300px;
        }



        .community .content .box .up img {
            width: 150px;
            height: 150px;
        }

        .community .content .box .down h2 {
            font-size: 1rem;
        }

        .community .content .box .down h5 {
            font-size: 0.6rem;
            line-height: 20px;
        }




        .goals .content .left img {
            width: 300px;
            height: 300px;
        }

        .goals .content .right h1 {
            font-size: 1.5rem;
            line-height: 30px;
        }

        .goals .content .right h5 {
            font-size: 0.8rem;
            line-height: 30px;
        }

        .goals .content .right a {
            font-size: 0.9rem;
            padding: 15px 20px 15px 20px;
        }





        footer {
            height: 100vh;

        }

        footer .up .left {
            display: grid;
            gap: 20px;
        }

        footer .content {
            padding-left: 50px;
            padding-right: 50px;
            font-size: 0.8rem;
            margin-top: 50px;
        }

        footer .content .up {
            display: grid;
            gap: 10px;
        }

        footer .content .up .right {
            gap: 70px;
        }

        footer .content .down h5 {
            font-size: 0.7rem;
        }
    }
}


@media only screen and (max-width: 1100px) {
    header {
        padding: 0 30px;
    }

    header.fixed {
        position: fixed;
        width: 95%;
        animation: fadeInDown 0.5s;
        /* margin-left: 10px;
        margin-right: auto; */
        border: 1px solid #01C38D;
    }

    .left {
        display: flex;
        gap: 50px;
    }


}

@media only screen and (max-width: 900px) {
    h1 {
        font-size: 2rem;
        line-height: 40px;
    }

    h5 {
        font-size: 0.8rem;
        letter-spacing: 1px;
        line-height: 25px;
    }

    .btn {
        font-size: 0.8rem;
        padding: 15px 35px 15px 35px;
    }

    header {
        height: 70px;
    }

    .hamburger {
        display: block;
        cursor: pointer;
    }

    .hamburger .line {
        width: 30px;
        height: 3px;
        background: #fefefe;
        margin: 6px 0;
        transition: .5s ease;
    }

    .hamburger .line:hover {
        background-color: #01C38D;
    }

    .nav-bar {
        height: 0;
        position: absolute;
        top: 90px;
        left: 0;
        right: 0;
        width: 95vw;
        background: var(--second-bg-color);
        transition: 0.5s;
        margin-left: auto;
        margin-right: auto;
        overflow: hidden;
        border-radius: 10px;
    }

    .nav-bar.active {
        height: 300px;
    }

    .nav-bar ul {
        display: block;
        width: fit-content;
        margin: 30px auto 0 auto;
        text-align: center;
        transition: 0.5s;
        opacity: 0;
    }

    .nav-bar.active ul {
        opacity: 1;

    }

    .nav-bar ul li a {
        margin-bottom: 2px;
    }

    #floatingbtn {
        display: initial;
        width: 4rem;
        height: 4rem;
        justify-content: center;
        align-items: center;
        padding: 1.5rem;
        background: var(--second-bg-color);
        border-radius: 50%;
        color: var(--text-color);
        transition: .5s ease;
        z-index: 1;
        position: fixed;
        right: 20px;
        bottom: 25px;
        border: 0.7px solid #01C38D;
        mix-blend-mode: difference;
    }




    .subjects {
        height: 200vh;
    }


    .learners {
        /* height: 250vh; */
    }

    .learners .content .right h2 {
        font-size: 1.2rem;
    }

    .learners .content .right h4 {
        font-size: 0.7rem;
    }

    .community .content {
        gap: 10px;
        width: 600px;
        padding: 0;
    }

    .box:nth-of-type(even) {
        transform: translateX(-400%);
    }

    .box.show {
        transform: translateX(0);
    }


}


@media only screen and (max-width: 700px) {

    h1 {
        font-size: 2rem;
        line-height: 40px;
    }

    h5 {
        font-size: 0.8rem;
        letter-spacing: 1px;
        line-height: 25px;
    }

    .btn {
        font-size: 0.8rem;
        font-weight: 600;
    }

    .courses {
        height: 150vh;
    }

    .courses .content .down .box:nth-child(1) {
        display: none;
    }

    .courses .content .down .box:nth-child(2) {
        display: none;
    }


    .subjects {
        height: 200vh;
    }



    .learners {
        height: 120vh;
    }

    .learners .content {
        display: grid;
        gap: 40px;
        padding: 0 40px 0 40px;
        text-align: center;

    }

    .learners .content .left {
        margin-left: auto;
        margin-right: auto;
    }


    .goals .content {
        display: grid;
    }



    footer {
        height: 180vh;
    }

    footer .content .up .right {
        display: grid;
        gap: 20px;
    }
}


@media only screen and (max-width: 600px) {
    body {
        overflow-x: hidden;
    }

    .home .content {
        justify-content: center;
        align-items: center;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
        width: 370px;
        padding: 0;
    }

    .home .content a {
        margin-left: auto;
        margin-right: auto;
    }

    .subjects {
        height: 300vh;
    }

    .community {
        height: 180vh;
    }


    footer {
        height: 240vh;
    }
}